## python-gsd 2.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.10 FATAL_ERROR)
project(gsd)

set(PYTHON_MODULE_BASE_DIR "gsd")

add_subdirectory(CMake)
include(CFlagsSetup)
include(LinterSetup)

#############################################################################################
# Find libraries
include(PythonSetup)
include_directories(${PYTHON_INCLUDE_DIR})

if (WIN32)
add_compile_definitions(_CRT_SECURE_NO_WARNINGS)
endif()

#############################################################################################
### Add project subdirs
include_directories(gsd)
add_subdirectory(gsd)
add_subdirectory(scripts)

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -a -n -W
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/GSD.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/GSD.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/GSD"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/GSD"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== gsd/CMakeLists.txt ===
############### cython based modules

add_custom_command (
    OUTPUT fl.c
    DEPENDS fl.pyx libgsd.pxd
    COMMAND    ${CYTHON_EXECUTABLE}
    ARGS       -${PYTHON_VERSION_MAJOR} -I ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/fl.pyx -o ${CMAKE_CURRENT_BINARY_DIR}/fl.c
    COMMENT    "Cythonizing fl.pyx"
)

set_source_files_properties(gsd.c PROPERTIES COMPILE_DEFINITIONS NO_IMPORT_ARRAY)

add_library(gsd_objects OBJECT gsd.c)
set_target_properties(gsd_objects PROPERTIES POSITION_INDEPENDENT_CODE TRUE)

if (CLANG_TIDY_EXE)
    set_target_properties(gsd_objects PROPERTIES C_CLANG_TIDY "${DO_CLANG_TIDY}")
endif()

add_library(fl SHARED fl.c gsd.c)
target_compile_definitions(fl PRIVATE NPY_NO_DEPRECATED_API=NPY_1_7_API_VERSION)

set_target_properties(fl PROPERTIES PREFIX "" OUTPUT_NAME "fl" MACOSX_RPATH "On")
if(APPLE)
    set_target_properties(fl PROPERTIES SUFFIX ".so")
    target_link_libraries(fl ${PYTHON_LIBRARY})
    fix_conda_python(fl)
endif(APPLE)

if (WIN32)
    target_link_libraries(fl ${PYTHON_LIBRARY})
    set_target_properties(fl PROPERTIES SUFFIX ".pyd")
endif()

################ Python only modules
# copy python modules to the build directory to make it a working python package
MACRO(copy_file file)
    add_custom_command (
        OUTPUT ${file}
        DEPENDS ${file}
        POST_BUILD
        COMMAND    ${CMAKE_COMMAND}
        ARGS       -E copy ${CMAKE_CURRENT_SOURCE_DIR}/${file} ${CMAKE_CURRENT_BINARY_DIR}/${file}
        COMMENT    "Copy gsd/${file}"
    )
ENDMACRO(copy_file)

set(files __init__.py __main__.py hoomd.py pygsd.py version.py)

foreach(file ${files})
    copy_file(${file})
endforeach()

add_custom_target(copy_gsd ALL DEPENDS ${files})

add_subdirectory(test)

=== gsd/test/CMakeLists.txt ===
# copy python modules to the build directory to make it a working python package
MACRO(copy_file file)
    add_custom_command (
        OUTPUT ${file}
        DEPENDS ${file}
        POST_BUILD
        COMMAND    ${CMAKE_COMMAND}
        ARGS       -E copy ${CMAKE_CURRENT_SOURCE_DIR}/${file} ${CMAKE_CURRENT_BINARY_DIR}/${file}
        COMMENT    "Copy gsd/test/${file}"
    )
ENDMACRO(copy_file)

set(files conftest.py pytest.ini test_fl.py test_gsd_v1.gsd test_hoomd.py test_largefile.py)

foreach(file ${files})
    copy_file(${file})
endforeach()

add_custom_target(copy_gsd_test ALL DEPENDS ${files})

=== debian/changelog ===
python-gsd (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 28 Dec 2020 16:06:26 +1100

python-gsd (2.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Tue, 03 Nov 2020 10:52:50 +0800

python-gsd (2.2.0-2) unstable; urgency=medium

  * simplify pybuild use when building docs
  * debian patch test_large_32bit.patch ignores ValueError in
    test_large_n for large N>=2**28 on 32-bit systems.

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Oct 2020 02:55:46 +0800

python-gsd (2.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #966019)
  * debian patch intersphinx_local.patch sets intersphinx mapping to
    local objects.inv. Build-Depends-Indep: python3-doc, python-numpy-doc

 -- Drew Parsons <dparsons@debian.org>  Wed, 23 Sep 2020 01:58:24 +0800

=== debian/control ===
Source: python-gsd
Section: python
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 13),
 cython3,
 dh-python,
 python3-setuptools,
 python3-all-dev,
 python3-ipython,
 python3-numpy (>= 1:1.9.3~), python3-numpy (<< 1:2),
 python3-sphinx
Build-Depends-Indep: python3-doc, python-numpy-doc,
 libjs-mathjax,
 python3-sphinx-rtd-theme
Standards-Version: 4.5.1
Homepage: https://gsd.readthedocs.io/
Vcs-Browser: https://salsa.debian.org/debichem-team/python-gsd
Vcs-Git: https://salsa.debian.org/debichem-team/python-gsd.git
Rules-Requires-Root: no

Package: python3-gsd
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-gsd-doc
Description: native file format for HOOMD-blue (Python 3 module)
 The GSD file format is the native file format for HOOMD-blue. GSD
 files store trajectories of the HOOMD-blue system state in a binary
 file with efficient random access to frames. GSD allows all particle
 and topology properties to vary from one frame to the next. Use the
 GSD Python API to specify the initial condition for a HOOMD-blue
 simulation or analyze trajectory output with a script. Read a GSD
 trajectory with a visualization tool to explore the behavior of the
 simulation.
 .
 This package installs the library to access GSD files from Python 3.

Package: python-gsd-doc
Architecture: all
Section: doc
Depends: libjs-mathjax, ${sphinxdoc:Depends}, ${misc:Depends}
Description: native file format for HOOMD-blue (documentation)
 The GSD file format is the native file format for HOOMD-blue. GSD
 files store trajectories of the HOOMD-blue system state in a binary
 file with efficient random access to frames. GSD allows all particle
 and topology properties to vary from one frame to the next. Use the
 GSD Python API to specify the initial condition for a HOOMD-blue
 simulation or analyze trajectory output with a script. Read a GSD
 trajectory with a visualization tool to explore the behavior of the
 simulation.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=gsd

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -f gsd/fl.c || /bin/true

override_dh_auto_build-indep: export http_proxy=127.0.0.1:9
override_dh_auto_build-indep: export https_proxy=127.0.0.1:9
override_dh_auto_build-indep:
	dh_auto_build
	PYTHONPATH=$(shell pybuild --pyver `py3versions -dv` --print {build_dir}) make html -C doc/ BUILDDIR=$(CURDIR)/build/html # HTML generator

override_dh_sphinxdoc-indep:
	dh_sphinxdoc -i
	grep "https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js" debian/python-gsd-doc/usr/share/doc/python-gsd-doc/* -r --files-with-matches | xargs sed "s|src=\"https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js|src=\"file://usr/share/javascript/mathjax/unpacked/latest.js|g" -i

=== debian/tests/control ===
Test-Command: pytest-3 -v
Depends: python3-gsd,
 python3-pytest

## python-gsd 2.5.1

=== debian/changelog ===
python-gsd (2.5.1-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:06:40 +0000

python-gsd (2.5.1-1) unstable; urgency=medium

  * New upstream release.
  * rename debian patch intersphinx_local.patch as
    docs_local_scripts.patch and provide doc path to local mathjax
    script
  * build docs with execute_after_dh_auto_build-indep instead of
    override_dh_auto_build-indep

 -- Drew Parsons <dparsons@debian.org>  Thu, 10 Feb 2022 12:10:29 +0100

python-gsd (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * fix doc build by using sphinx-build directly (see INSTALLING.rst)
    Closes: #997028.
  * allow for mathjax changes in doc build (latest.js no longer used)

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 Oct 2021 10:38:27 +0100

python-gsd (2.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0
  * use triple-slash for mathjax file references in docs
  * run tests from installation dir to avoid error defining
    'pytest_plugins' in a non-top-level conftest

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Sep 2021 19:13:29 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Build-Depends-Indep: python3-doc, python-numpy-doc,
  libjs-mathjax,
  python3-sphinx-rtd-theme
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://gsd.readthedocs.io/
 Vcs-Browser: https://salsa.debian.org/debichem-team/python-gsd
 Vcs-Git: https://salsa.debian.org/debichem-team/python-gsd.git

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=gsd

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -f gsd/fl.c || /bin/true

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=$(shell pybuild --pyver `py3versions -dv` --print {build_dir}) sphinx-build -b html doc $(CURDIR)/.pybuild/html # HTML generator

=== debian/tests/control ===
Test-Command: pytest-3 -v /usr/lib/python3/dist-packages/gsd
Depends: python3-gsd,
 python3-pytest

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-gsd-$1.tar.gz%" \
   https://github.com/glotzerlab/gsd/releases \
   (?:.*?/)?gsd-v?(\d[\d.]*)\.tar\.gz debian uupdate

#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-gsd-$1.tar.gz%" \
#   https://github.com/glotzerlab/gsd/tags \
#   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-gsd 2.7.0

=== CMake/CMakeLists.txt ===
set(CMAKE_MODULE_PATH
    "${CMAKE_CURRENT_SOURCE_DIR}"
    "${CMAKE_MODULE_PATH}"
    PARENT_SCOPE
    )

=== gsd/CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,13 @@
     )
 ENDMACRO(copy_file)
 
-set(files __init__.py __main__.py hoomd.py pygsd.py version.py)
+set(files __init__.py
+          __main__.py
+          hoomd.py
+          pygsd.py
+          version.py
+          conftest.py
+          pytest_plugin_validate.py)
 
 foreach(file ${files})
     copy_file(${file})

=== debian/changelog ===
python-gsd (2.7.0-2) unstable; urgency=medium

  * drop Build-Depends-Indep: python-numpy-doc: no longer available
    - update debian patch docs_local_scripts.patch to drop numpy from
      intersphinx_mapping in doc build.
    - Closes: #1028717.

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Jan 2023 17:37:42 +0100

python-gsd (2.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-numpy.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Drew Parsons ]
  * New upstream release.
  * mark python-gsd-doc as Multi-Arch: foreign
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Dec 2022 00:39:32 +0100

python-gsd (2.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: pybuild-plugin-pyproject to build using
    pyproject.toml
  * debian patch doc_ignore_exceptions.patch ignores python exceptions
    in ipython doc blocks. Closes: #1022395.
  * update debian/watch to latest github format
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 07 Nov 2022 19:46:54 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
 Build-Depends: debhelper-compat (= 13),
  cython3,
  dh-python,
+ pybuild-plugin-pyproject,
  python3-setuptools,
  python3-all-dev,
  python3-ipython,
- python3-numpy (>= 1:1.9.3~), python3-numpy (<< 1:2),
+ python3-numpy, python3-numpy (<< 1:2),
  python3-sphinx
-Build-Depends-Indep: python3-doc, python-numpy-doc,
+Build-Depends-Indep: python3-doc,
  libjs-mathjax,
  python3-sphinx-rtd-theme
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://gsd.readthedocs.io/
 Vcs-Browser: https://salsa.debian.org/debichem-team/python-gsd
 Vcs-Git: https://salsa.debian.org/debichem-team/python-gsd.git
@@ -38,6 +39,7 @@
 
 Package: python-gsd-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: libjs-mathjax, ${sphinxdoc:Depends}, ${misc:Depends}
 Description: native file format for HOOMD-blue (documentation)

## python-gsd 3.0.1

=== doc/requirements.txt ===
breathe
cython
furo
ipython
numpy
pandas
sphinx

=== debian/changelog ===
python-gsd (3.0.1-3build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:32:11 +0000

python-gsd (3.0.1-3build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:26:02 +0100

python-gsd (3.0.1-3) unstable; urgency=medium

  * python3-gsd v3 Breaks: python3-mdanalysis (<< 2.5.0+dfsg1-2~)

 -- Drew Parsons <dparsons@debian.org>  Wed, 02 Aug 2023 14:37:21 +0200

python-gsd (3.0.1-2) unstable; urgency=medium

  * Build-Depends: architecture-is-little-endian
    - gsd fails on big-endian systems such as s390x,
      see https://github.com/glotzerlab/gsd/issues/12
    - requires Build-Depends: architecture-properties
    - Closes: Bug#1042500.

 -- Drew Parsons <dparsons@debian.org>  Sat, 29 Jul 2023 12:12:57 +0200

python-gsd (3.0.1-1) unstable; urgency=medium

  * New upstream release.
    - pyproject.toml provides version. Closes: #1042136.
    - Build-Depends-Indep: furo, python3-breathe python3-pandas
      for doc build
  * update debian patches to enable doc build
    - docs_local_scripts.patch: drop hoomd from intersphinx
      (internet connection not available during build)
    - doc_ignore_exceptions.patch: ignore more exceptions.
      Don't process gsd.fl.GSDFile.truncate docstring code.
  * Include C API docs (READTHEDOCS=True)
    - Build-Depends-Indep: doxygen
    - remove generated devdoc dir in debian/rules clean

 -- Drew Parsons <dparsons@debian.org>  Thu, 27 Jul 2023 19:54:11 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,15 @@
  python3-all-dev,
  python3-ipython,
  python3-numpy, python3-numpy (<< 1:2),
- python3-sphinx
+ python3-sphinx,
+ architecture-properties,
+ architecture-is-little-endian
 Build-Depends-Indep: python3-doc,
+ doxygen,
+ furo,
  libjs-mathjax,
+ python3-breathe,
+ python3-pandas,
  python3-sphinx-rtd-theme
 Standards-Version: 4.6.2
 Homepage: https://gsd.readthedocs.io/
@@ -25,6 +31,7 @@
 Architecture: any
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: python-gsd-doc
+Breaks: python3-mdanalysis (<< 2.5.0+dfsg1-2~)
 Description: native file format for HOOMD-blue (Python 3 module)
  The GSD file format is the native file format for HOOMD-blue. GSD
  files store trajectories of the HOOMD-blue system state in a binary

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,9 @@
 override_dh_clean:
 	dh_clean
 	rm -f gsd/fl.c || /bin/true
+	rm -rf devdoc
 
 execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
 execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
 execute_after_dh_auto_build-indep:
-	PYTHONPATH=$(shell pybuild --pyver `py3versions -dv` --print {build_dir}) sphinx-build -b html doc $(CURDIR)/.pybuild/html # HTML generator
+	PYTHONPATH=$(shell pybuild --pyver `py3versions -dv` --print {build_dir}) READTHEDOCS=True sphinx-build -b html doc $(CURDIR)/.pybuild/html # HTML generator

## python-gsd 3.3.0

=== doc/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile doc/requirements.in
#
alabaster==0.7.16
    # via sphinx
asttokens==2.4.1
    # via stack-data
babel==2.14.0
    # via sphinx
beautifulsoup4==4.12.3
    # via furo
breathe==4.35.0
    # via -r doc/requirements.in
certifi==2024.2.2
    # via requests
charset-normalizer==3.3.2
    # via requests
cython==3.0.10
    # via -r doc/requirements.in
decorator==5.1.1
    # via ipython
docutils==0.21.2
    # via
    #   breathe
    #   sphinx
executing==2.0.1
    # via stack-data
furo==2024.5.6
    # via -r doc/requirements.in
idna==3.7
    # via requests
imagesize==1.4.1
    # via sphinx
ipython==8.24.0
    # via -r doc/requirements.in
jedi==0.19.1
    # via ipython
jinja2==3.1.4
    # via sphinx
markupsafe==2.1.5
    # via jinja2
matplotlib-inline==0.1.7
    # via ipython
numpy==1.26.4
    # via
    #   -r doc/requirements.in
    #   pandas
    #   pyarrow
packaging==24.0
    # via sphinx
pandas==2.2.2
    # via -r doc/requirements.in
parso==0.8.4
    # via jedi
pexpect==4.9.0
    # via ipython
prompt-toolkit==3.0.43
    # via ipython
ptyprocess==0.7.0
    # via pexpect
pure-eval==0.2.2
    # via stack-data
pyarrow==16.0.0
    # via -r doc/requirements.in
pygments==2.17.2
    # via
    #   furo
    #   ipython
    #   sphinx
python-dateutil==2.9.0.post0
    # via pandas
pytz==2024.1
    # via pandas
requests==2.32.0
    # via sphinx
six==1.16.0
    # via
    #   asttokens
    #   python-dateutil
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.5
    # via beautifulsoup4
sphinx==7.3.7
    # via
    #   -r doc/requirements.in
    #   breathe
    #   furo
    #   sphinx-basic-ng
    #   sphinx-copybutton
    #   sphinxcontrib-googleanalytics
sphinx-basic-ng==1.0.0b2
    # via furo
sphinx-copybutton==0.5.2
    # via -r doc/requirements.in
sphinxcontrib-applehelp==1.0.8
    # via sphinx
sphinxcontrib-devhelp==1.0.6
    # via sphinx
sphinxcontrib-googleanalytics==0.4
    # via -r doc/requirements.in
sphinxcontrib-htmlhelp==2.0.5
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.7
    # via sphinx
sphinxcontrib-serializinghtml==1.1.10
    # via sphinx
stack-data==0.6.3
    # via ipython
traitlets==5.14.3
    # via
    #   ipython
    #   matplotlib-inline
tzdata==2024.1
    # via pandas
urllib3==2.2.1
    # via requests
wcwidth==0.2.13
    # via prompt-toolkit

=== debian/changelog ===
python-gsd (3.3.0-1) unstable; urgency=medium

  * New upstream release.
    - update versioned Build-Depends: python3-numpy (>= 1:1.19.0~)
      (compatible with numpy 2)
    - Build-Depends-Indep: python3-sphinx-copybutton <!nodoc>
  * update debian patch docs_local_scripts.patch to link local docs
    (intersphinx) for python, numpy.
    Build-Depends-Indep: python-numpy-doc <!nodoc>
  * debian patch docs_build.patch removes doc components which are not
    available (sphinxcontrib.googleanalytics is not packaged, and
    would introduce privacy issues if used anyway)
  * run doxygen manually to prepare devdoc (API docs)
  * use pytest to run build-time tests
    Toplevel test config fails so provide path to tests.
  * run debian/tests over all supported python versions
  * run dh_numpy3 after dh_python3
  * register doc/_templates/page.html in debian/missing-sources

 -- Drew Parsons <dparsons@debian.org>  Fri, 05 Jul 2024 18:19:20 +0200

=== debian/control ===
--- 
+++ 
@@ -10,17 +10,20 @@
  python3-setuptools,
  python3-all-dev,
  python3-ipython,
- python3-numpy, python3-numpy (<< 1:2),
+ python3-numpy (>= 1:1.19.0~),
+ python3-pytest <!nocheck>,
  python3-sphinx,
  architecture-properties,
  architecture-is-little-endian
 Build-Depends-Indep: python3-doc,
- doxygen,
+ doxygen <!nodoc>,
  furo,
- libjs-mathjax,
+ libjs-mathjax <!nodoc>,
  python3-breathe,
+ python-numpy-doc <!nodoc>,
  python3-pandas,
- python3-sphinx-rtd-theme
+ python3-sphinx-rtd-theme <!nodoc>,
+ python3-sphinx-copybutton <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://gsd.readthedocs.io/
 Vcs-Browser: https://salsa.debian.org/debichem-team/python-gsd

## python-gsd 3.4.2

=== doc/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile --python-platform linux requirements.in
alabaster==1.0.0
    # via sphinx
asttokens==2.4.1
    # via stack-data
babel==2.16.0
    # via sphinx
beautifulsoup4==4.12.3
    # via furo
breathe==4.35.0
    # via -r requirements.in
certifi==2024.8.30
    # via requests
charset-normalizer==3.4.0
    # via requests
cython==3.0.11
    # via -r requirements.in
decorator==5.1.1
    # via ipython
docutils==0.21.2
    # via
    #   breathe
    #   sphinx
executing==2.1.0
    # via stack-data
furo==2024.8.6
    # via -r requirements.in
idna==3.10
    # via requests
imagesize==1.4.1
    # via sphinx
ipython==8.29.0
    # via -r requirements.in
jedi==0.19.1
    # via ipython
jinja2==3.1.4
    # via sphinx
markupsafe==3.0.2
    # via jinja2
matplotlib-inline==0.1.7
    # via ipython
numpy==2.1.2
    # via
    #   -r requirements.in
    #   pandas
packaging==24.1
    # via sphinx
pandas==2.2.3
    # via -r requirements.in
parso==0.8.4
    # via jedi
pexpect==4.9.0
    # via ipython
prompt-toolkit==3.0.48
    # via ipython
ptyprocess==0.7.0
    # via pexpect
pure-eval==0.2.3
    # via stack-data
pygments==2.18.0
    # via
    #   furo
    #   ipython
    #   sphinx
python-dateutil==2.9.0.post0
    # via pandas
pytz==2024.2
    # via pandas
requests==2.32.3
    # via sphinx
six==1.16.0
    # via
    #   asttokens
    #   python-dateutil
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.6
    # via beautifulsoup4
sphinx==8.1.3
    # via
    #   -r requirements.in
    #   breathe
    #   furo
    #   sphinx-basic-ng
    #   sphinx-copybutton
    #   sphinxcontrib-googleanalytics
sphinx-basic-ng==1.0.0b2
    # via furo
sphinx-copybutton==0.5.2
    # via -r requirements.in
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-googleanalytics==0.4
    # via -r requirements.in
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
stack-data==0.6.3
    # via ipython
traitlets==5.14.3
    # via
    #   ipython
    #   matplotlib-inline
tzdata==2024.2
    # via pandas
urllib3==2.2.3
    # via requests
wcwidth==0.2.13
    # via prompt-toolkit

=== gsd/CMakeLists.txt ===
--- 
+++ 
@@ -23,13 +23,21 @@
 set_target_properties(fl PROPERTIES PREFIX "" OUTPUT_NAME "fl" MACOSX_RPATH "On")
 if(APPLE)
     set_target_properties(fl PROPERTIES SUFFIX ".so")
-    target_link_libraries(fl ${PYTHON_LIBRARY})
-    fix_conda_python(fl)
 endif(APPLE)
 
 if (WIN32)
+    set_target_properties(fl PROPERTIES SUFFIX ".pyd")
+endif()
+
+if(WIN32)
+    # Link to the Python libraries on windows
     target_link_libraries(fl ${PYTHON_LIBRARY})
-    set_target_properties(fl PROPERTIES SUFFIX ".pyd")
+else()
+    # Do not link to the Python libraries on Mac/Linux - symbols are provided by
+    # the `python` executable. "-undefined dynamic_lookup" is needed on Mac
+    target_link_options(
+        fl PRIVATE
+        "$<$<PLATFORM_ID:Darwin>:LINKER:-undefined,dynamic_lookup>")
 endif()
 
 ################ Python only modules

=== gsd/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# copy python modules to the build directory to make it a working python package
+# copy Python modules to the build directory to make it a working Python package
 MACRO(copy_file file)
     add_custom_command (
         OUTPUT ${file}

=== debian/changelog ===
python-gsd (3.4.2-2) unstable; urgency=medium

  * debian patch test_read_log_numpy2.patch skips hoomd read_log tests
    if numpy 2 is not available.

 -- Drew Parsons <dparsons@debian.org>  Thu, 13 Feb 2025 10:32:12 +0100

python-gsd (3.4.2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Feb 2025 16:07:36 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  python3-pandas,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-sphinx-copybutton <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://gsd.readthedocs.io/
 Vcs-Browser: https://salsa.debian.org/debichem-team/python-gsd
 Vcs-Git: https://salsa.debian.org/debichem-team/python-gsd.git

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME=gsd
+
+export PYBUILD_TEST_ARGS=$(CURDIR)/gsd/test
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -12,8 +14,13 @@
 	dh_clean
 	rm -f gsd/fl.c || /bin/true
 	rm -rf devdoc
+	rm -rf gsd/test/.pytest_cache
 
 execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
 execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
 execute_after_dh_auto_build-indep:
+	doxygen
 	PYTHONPATH=$(shell pybuild --pyver `py3versions -dv` --print {build_dir}) READTHEDOCS=True sphinx-build -b html doc $(CURDIR)/.pybuild/html # HTML generator
+
+execute_after_dh_python3:
+	dh_numpy3

## python-gsd 4.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.10 FATAL_ERROR)
+cmake_minimum_required(VERSION 2.8.10...3.13 FATAL_ERROR)
 project(gsd)
 
 set(PYTHON_MODULE_BASE_DIR "gsd")

=== doc/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile --python-version 3.13 --python-platform linux requirements.in
alabaster==1.0.0
    # via sphinx
asttokens==3.0.0
    # via stack-data
babel==2.17.0
    # via sphinx
beautifulsoup4==4.13.4
    # via furo
breathe==4.36.0
    # via -r requirements.in
certifi==2025.6.15
    # via requests
charset-normalizer==3.4.2
    # via requests
cython==3.0.11
    # via -r requirements.in
decorator==5.2.1
    # via ipython
docutils==0.21.2
    # via sphinx
executing==2.2.0
    # via stack-data
furo==2024.8.6
    # via -r requirements.in
idna==3.10
    # via requests
imagesize==1.4.1
    # via sphinx
ipython==8.33.0
    # via -r requirements.in
jedi==0.19.2
    # via ipython
jinja2==3.1.6
    # via sphinx
markupsafe==3.0.2
    # via jinja2
matplotlib-inline==0.1.7
    # via ipython
numpy==2.1.2
    # via
    #   -r requirements.in
    #   pandas
packaging==25.0
    # via sphinx
pandas==2.2.3
    # via -r requirements.in
parso==0.8.4
    # via jedi
pexpect==4.9.0
    # via ipython
prompt-toolkit==3.0.51
    # via ipython
ptyprocess==0.7.0
    # via pexpect
pure-eval==0.2.3
    # via stack-data
pygments==2.19.2
    # via
    #   furo
    #   ipython
    #   sphinx
python-dateutil==2.9.0.post0
    # via pandas
pytz==2025.2
    # via pandas
requests==2.32.4
    # via sphinx
roman-numerals-py==3.1.0
    # via sphinx
six==1.17.0
    # via python-dateutil
snowballstemmer==3.0.1
    # via sphinx
soupsieve==2.7
    # via beautifulsoup4
sphinx==8.2.1
    # via
    #   -r requirements.in
    #   breathe
    #   furo
    #   sphinx-basic-ng
    #   sphinx-copybutton
    #   sphinxcontrib-googleanalytics
sphinx-basic-ng==1.0.0b2
    # via furo
sphinx-copybutton==0.5.2
    # via -r requirements.in
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-googleanalytics==0.4
    # via -r requirements.in
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
stack-data==0.6.3
    # via ipython
traitlets==5.14.3
    # via
    #   ipython
    #   matplotlib-inline
typing-extensions==4.14.0
    # via beautifulsoup4
tzdata==2025.2
    # via pandas
urllib3==2.5.0
    # via requests
wcwidth==0.2.13
    # via prompt-toolkit

=== gsd/CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,6 @@
     add_custom_command (
         OUTPUT ${file}
         DEPENDS ${file}
-        POST_BUILD
         COMMAND    ${CMAKE_COMMAND}
         ARGS       -E copy ${CMAKE_CURRENT_SOURCE_DIR}/${file} ${CMAKE_CURRENT_BINARY_DIR}/${file}
         COMMENT    "Copy gsd/${file}"

=== gsd/test/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
     add_custom_command (
         OUTPUT ${file}
         DEPENDS ${file}
-        POST_BUILD
         COMMAND    ${CMAKE_COMMAND}
         ARGS       -E copy ${CMAKE_CURRENT_SOURCE_DIR}/${file} ${CMAKE_CURRENT_BINARY_DIR}/${file}
         COMMENT    "Copy gsd/test/${file}"

=== debian/changelog ===
python-gsd (4.0.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depends: dh-sequence-numpy3
    to provide and apply dh_numpy3
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 11 Aug 2025 10:32:38 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
  cython3,
  dh-python,
+ dh-sequence-numpy3,
  pybuild-plugin-pyproject,
  python3-setuptools,
  python3-all-dev,
@@ -24,7 +25,7 @@
  python3-pandas,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-sphinx-copybutton <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gsd.readthedocs.io/
 Vcs-Browser: https://salsa.debian.org/debichem-team/python-gsd
 Vcs-Git: https://salsa.debian.org/debichem-team/python-gsd.git

## python-gsd 4.2.0

=== CMake/CMakeLists.txt ===
set(CMAKE_MODULE_PATH
    "${CMAKE_CURRENT_SOURCE_DIR}"
    "${CMAKE_MODULE_PATH}"
    PARENT_SCOPE
)

=== doc/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile doc/requirements.in --output-file doc/requirements.txt
accessible-pygments==0.0.5
    # via furo
alabaster==1.0.0
    # via sphinx
asttokens==3.0.0
    # via stack-data
babel==2.17.0
    # via sphinx
beautifulsoup4==4.13.5
    # via furo
breathe==4.36.0
    # via -r doc/requirements.in
certifi==2025.8.3
    # via requests
charset-normalizer==3.4.3
    # via requests
cython==3.1.4
    # via -r doc/requirements.in
decorator==5.2.1
    # via ipython
docutils==0.21.2
    # via sphinx
executing==2.2.1
    # via stack-data
furo==2025.7.19
    # via -r doc/requirements.in
idna==3.10
    # via requests
imagesize==1.4.1
    # via sphinx
ipython==9.5.0
    # via -r doc/requirements.in
ipython-pygments-lexers==1.1.1
    # via ipython
jedi==0.19.2
    # via ipython
jinja2==3.1.6
    # via sphinx
markupsafe==3.0.2
    # via jinja2
matplotlib-inline==0.1.7
    # via ipython
numpy==2.3.3
    # via
    #   -r doc/requirements.in
    #   pandas
packaging==25.0
    # via sphinx
pandas==2.3.2
    # via -r doc/requirements.in
parso==0.8.5
    # via jedi
pexpect==4.9.0
    # via ipython
prompt-toolkit==3.0.52
    # via ipython
ptyprocess==0.7.0
    # via pexpect
pure-eval==0.2.3
    # via stack-data
pygments==2.19.2
    # via
    #   accessible-pygments
    #   furo
    #   ipython
    #   ipython-pygments-lexers
    #   sphinx
python-dateutil==2.9.0.post0
    # via pandas
pytz==2025.2
    # via pandas
requests==2.32.5
    # via sphinx
roman-numerals-py==3.1.0
    # via sphinx
six==1.17.0
    # via python-dateutil
snowballstemmer==3.0.1
    # via sphinx
soupsieve==2.8
    # via beautifulsoup4
sphinx==8.2.3
    # via
    #   -r doc/requirements.in
    #   breathe
    #   furo
    #   sphinx-basic-ng
    #   sphinx-copybutton
    #   sphinx-inline-tabs
    #   sphinxcontrib-googleanalytics
sphinx-basic-ng==1.0.0b2
    # via furo
sphinx-copybutton==0.5.2
    # via -r doc/requirements.in
sphinx-inline-tabs==2023.4.21
    # via -r doc/requirements.in
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-googleanalytics==0.5
    # via -r doc/requirements.in
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
stack-data==0.6.3
    # via ipython
traitlets==5.14.3
    # via
    #   ipython
    #   matplotlib-inline
typing-extensions==4.15.0
    # via beautifulsoup4
tzdata==2025.2
    # via pandas
urllib3==2.5.0
    # via requests
wcwidth==0.2.14
    # via prompt-toolkit

=== gsd/CMakeLists.txt ===
############### cython based modules

add_custom_command(
    OUTPUT fl.c
    DEPENDS fl.pyx libgsd.pxd
    COMMAND ${CYTHON_EXECUTABLE}
    ARGS
        -${PYTHON_VERSION_MAJOR} -I ${CMAKE_CURRENT_SOURCE_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}/fl.pyx -o ${CMAKE_CURRENT_BINARY_DIR}/fl.c
    COMMENT "Cythonizing fl.pyx"
)

set_source_files_properties(
    gsd.c
    PROPERTIES COMPILE_DEFINITIONS NO_IMPORT_ARRAY
)

add_library(gsd_objects OBJECT gsd.c)
set_target_properties(gsd_objects PROPERTIES POSITION_INDEPENDENT_CODE TRUE)

if(CLANG_TIDY_EXE)
    set_target_properties(
        gsd_objects
        PROPERTIES C_CLANG_TIDY "${DO_CLANG_TIDY}"
    )
endif()

add_library(fl SHARED fl.c gsd.c)
target_compile_definitions(fl PRIVATE NPY_NO_DEPRECATED_API=NPY_1_7_API_VERSION)

if(!WIN32)
    target_compile_definitions(fl PRIVATE Py_LIMITED_API=0x030B0000)
endif()

set_target_properties(
    fl
    PROPERTIES PREFIX "" OUTPUT_NAME "fl" MACOSX_RPATH "On"
)
if(APPLE)
    set_target_properties(fl PROPERTIES SUFFIX ".so")
endif(APPLE)

if(WIN32)
    set_target_properties(fl PROPERTIES SUFFIX ".pyd")
endif()

if(WIN32)
    # Link to the Python libraries on windows
    target_link_libraries(fl ${PYTHON_LIBRARY})
else()
    # Do not link to the Python libraries on Mac/Linux - symbols are provided by
    # the `python` executable. "-undefined dynamic_lookup" is needed on Mac
    target_link_options(
        fl
        PRIVATE "$<$<PLATFORM_ID:Darwin>:LINKER:-undefined,dynamic_lookup>"
    )
endif()

################ Python only modules
# copy python modules to the build directory to make it a working python package
macro(copy_file file)
    add_custom_command(
        OUTPUT ${file}
        DEPENDS ${file}
        COMMAND ${CMAKE_COMMAND}
        ARGS
            -E copy ${CMAKE_CURRENT_SOURCE_DIR}/${file}
            ${CMAKE_CURRENT_BINARY_DIR}/${file}
        COMMENT "Copy gsd/${file}"
    )
endmacro(copy_file)

set(files
    __init__.py
    __main__.py
    hoomd.py
    pygsd.py
    version.py
    conftest.py
    pytest_plugin_validate.py
)

foreach(file ${files})
    copy_file(${file})
endforeach()

add_custom_target(copy_gsd ALL DEPENDS ${files})

add_subdirectory(test)

=== scripts/CMakeLists.txt ===
add_executable(benchmark-write benchmark-write.cc ../gsd/gsd.c)
set_property(TARGET benchmark-write PROPERTY CXX_STANDARD 11)
add_executable(benchmark-read benchmark-read.cc ../gsd/gsd.c)
set_property(TARGET benchmark-read PROPERTY CXX_STANDARD 11)

=== gsd/test/CMakeLists.txt ===
# copy Python modules to the build directory to make it a working Python package
macro(copy_file file)
    add_custom_command(
        OUTPUT ${file}
        DEPENDS ${file}
        COMMAND ${CMAKE_COMMAND}
        ARGS
            -E copy ${CMAKE_CURRENT_SOURCE_DIR}/${file}
            ${CMAKE_CURRENT_BINARY_DIR}/${file}
        COMMENT "Copy gsd/test/${file}"
    )
endmacro(copy_file)

set(files
    conftest.py
    pytest.ini
    test_fl.py
    test_gsd_v1.gsd
    test_hoomd.py
    test_largefile.py
)

foreach(file ${files})
    copy_file(${file})
endforeach()

add_custom_target(copy_gsd_test ALL DEPENDS ${files})

=== debian/changelog ===
python-gsd (4.2.0-1) unstable; urgency=medium

  * New upstream release
    - versioned Build-Depends: cython3 (>= 3.1~). Closes: #1118348.
    - Build-Depends-Indep: python3-sphinx-inline-tabs <!nodoc>
  * Build-Depends-Indep: python3-pickleshare <!nodoc>
    for ipython bookmarks in docs

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Oct 2025 00:51:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
- cython3,
+ cython3 (>= 3.1~),
  dh-python,
  dh-sequence-numpy3,
  pybuild-plugin-pyproject,
@@ -24,7 +24,9 @@
  python-numpy-doc <!nodoc>,
  python3-pandas,
  python3-sphinx-rtd-theme <!nodoc>,
- python3-sphinx-copybutton <!nodoc>
+ python3-sphinx-copybutton <!nodoc>,
+ python3-sphinx-inline-tabs <!nodoc>,
+ python3-pickleshare <!nodoc>
 Standards-Version: 4.7.2
 Homepage: https://gsd.readthedocs.io/
 Vcs-Browser: https://salsa.debian.org/debichem-team/python-gsd

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,3 @@
 execute_after_dh_auto_build-indep:
 	doxygen
 	PYTHONPATH=$(shell pybuild --pyver `py3versions -dv` --print {build_dir}) READTHEDOCS=True sphinx-build -b html doc $(CURDIR)/.pybuild/html # HTML generator
-
-execute_after_dh_python3:
-	dh_numpy3

=== debian/tests/control ===
Test-Command: for py in `py3versions -s`; do $py -m pytest -v /usr/lib/python3/dist-packages/gsd; done
Depends: python3-gsd,
 python3-pytest,
 python3-all

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/glotzerlab/gsd/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
